# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "myotel"
version = "0.1.5"
authors = ["Andeya Lee <andeyalee@outlook.com>"]
build = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A foolproof best practice for initializing the integration of OpenTelemetry with the `tracing` library, providing support for logs, metrics, and trace."
readme = "README.md"
keywords = [
    "OpenTelemetry",
    "tracing",
    "logs",
    "metrics",
]
categories = ["development-tools::debugging"]
license = "MIT"
repository = "https://github.com/andeya/myotel"

[lib]
name = "myotel"
path = "src/lib.rs"

[[example]]
name = "simple"
path = "examples/simple.rs"

[dependencies.anyhow]
version = "1"

[dependencies.getset]
version = "0.2"
package = "getset2"

[dependencies.opentelemetry]
version = "0.25"

[dependencies.opentelemetry-appender-tracing]
version = "0.25.0"
features = [
    "experimental_metadata_attributes",
    "logs_level_enabled",
]

[dependencies.opentelemetry-otlp]
version = "0.25"
features = ["http-json"]

[dependencies.opentelemetry-semantic-conventions]
version = "0.25.0"

[dependencies.opentelemetry-stdout]
version = "0.25"

[dependencies.opentelemetry_sdk]
version = "0.25"
features = [
    "logs_level_enabled",
    "rt-tokio",
]

[dependencies.tracing]
version = "0.1"

[dependencies.tracing-opentelemetry]
version = "0.26.0"

[dependencies.tracing-subscriber]
version = "0.3"
features = [
    "default",
    "env-filter",
]

[dev-dependencies.tokio]
version = "1"
features = ["rt-multi-thread"]
